> ## Documentation Index
> Fetch the complete documentation index at: https://docs.agent.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Search LinkedIn People

> Search for LinkedIn profiles by first and last name to find professionals.



## OpenAPI

````yaml /api-reference/v1/v1.1.0_openapi.json post /action/search_linkedin_people
openapi: 3.0.0
info:
  version: 1.1.0
  title: AI Actions - Get Data
  description: API specifications for 'Get Data' category AI actions.
  license:
    name: MIT
servers:
  - url: https://api-lr.agent.ai/v1
security:
  - bearerAuth: []
paths:
  /action/search_linkedin_people:
    post:
      tags:
        - Social Media & Online Presence
      summary: Search LinkedIn People
      description: >-
        Search for LinkedIn profiles by first and last name to find
        professionals.
      operationId: searchLinkedinPeople
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                first_name:
                  type: string
                  description: First name of the person to search for.
                  example: Andrei
                last_name:
                  type: string
                  description: Last name of the person to search for.
                  example: Oprisan
              required:
                - first_name
                - last_name
      responses:
        '200':
          description: LinkedIn profile search results
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ActionResponse'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
components:
  schemas:
    ActionResponse:
      type: object
      properties:
        status:
          type: integer
          format: int32
          description: HTTP status code of the action response
        response:
          type: object
          description: Response data from the action
    ErrorResponse:
      type: object
      properties:
        status:
          type: integer
          format: int32
          description: HTTP status code
        error:
          type: string
          description: Human-readable error message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer token from your account
        ([https://agent.ai/user/integrations#api](https://agent.ai/user/integrations#api))

````